from eventAPI import *
from APIUtils import *

def fireEvent(e):
   if (getTag(e, "lFlagU") != 0):
      return 1
   else:
      showMessage(e, ["You find yourselves at the entrance of a low cavern. Sparse cacti grow on the sandy floor, and a few buildings made from cactus material surround a central cromlech from which comes the sound of chanting."])
      showMessage(e, ["Anthropophagous druids, murderous rangers, and now cacti...","","What next, giant ants ?"])
      setTag(e, "lFlagU", 1)
      return 1
